#ifndef compNewRJ_H_
#define compNewRJ_H_
#include <math.h>
#include "Cpp/Composer/Join.h"
#include "Cpp/Composer/AllStateVariableTypes.h"
#include "Atomic/HW/HWSAN.h"
#include "Atomic/Service/ServiceSAN.h"
#include "Atomic/RM/RMSAN.h"

//State variable headers
#include "Cpp/BaseClasses/state/ArrayStateVariable.h"
#include "Cpp/BaseClasses/SAN/Place.h"

class compNewRJ: public Join {
 public:
  HWSAN * HW;
  ServiceSAN * Service;
  RMSAN * RM;
  KO * Creation;
  procLoad * LoadDist;
  toService * ProcFixed;
  profFailedAr * ProcNrFailed;
  profFailedAr * ProcNrFailedService;
  proc * Processors;
  hvemhvahvor * ServiceReplicaDist;
  Place * procFailed;
  replUp * replicasUp;
  Place * systemFailure;
  toService * viewChangeNew;
  viewArray * viewNew;
  Place * viewServiceChosen;

  compNewRJ();
  ~compNewRJ();
};

#endif
