#ifndef _RMAVAIL_PVS_
#define _RMAVAIL_PVS_
#include <math.h>
#include "Cpp/Performance_Variables/PerformanceVariableNode.hpp"
#include "Composed/compNew/compNewRJ.h"
#include "Cpp/Performance_Variables/SteadyState.hpp"


class RMavailPV0Worker:public SteadyState
{
 public:
  RMSAN *RM;
  
  RMavailPV0Worker();
  ~RMavailPV0Worker();
  double Reward_Function();
};

class RMavailPV0:public PerformanceVariableNode
{
 public:
  compNewRJ *ThecompNewRJ;

  RMavailPV0Worker *RMavailPV0WorkerList;

  RMavailPV0(int timeindex=0);
  ~RMavailPV0();
  void CreateWorkerList(void);
};

#endif
