#include "ServiceAvailPVNodes.h"

ServiceAvailPV0Worker::ServiceAvailPV0Worker()
{
  NumModels = 1;
  TheModelPtr = new BaseModelClass**[NumModels];
  TheModelPtr[0] = (BaseModelClass**)(&Service);
}

ServiceAvailPV0Worker::~ServiceAvailPV0Worker() {
  delete [] TheModelPtr;
}

double ServiceAvailPV0Worker::Reward_Function(void) {

if(Service->replicasUp->Index(0)->Mark() > 0){
	return 1;
}

return (0);



}

ServiceAvailPV0::ServiceAvailPV0(int timeindex) {
  TheModelPtr = (BaseModelClass**)(&ThecompNewRJ);
  double startpts[1]={500.0};
  double stoppts[1]={500.0+100.0};
  Initialize("availability",(RewardType)3,1, startpts, stoppts, timeindex, 0,1, 1);
  Type = steady_state;
  AddVariableDependency("replicasUp","Service");
}

ServiceAvailPV0::~ServiceAvailPV0() {
  for(int i = 0; i < NumberOfWorkers; i++) {
    delete[] WorkerList[i]->Name;
    delete WorkerList[i];
  }
}

void ServiceAvailPV0::CreateWorkerList(void) {
  for(int i = 0; i < NumberOfWorkers; i++)
    WorkerList[i] = new ServiceAvailPV0Worker;
}
