

// This C++ file was created by SanEditor

#include "Atomic/Service/ServiceSAN.h"

#include <stdlib.h>
#include <iostream.h>

#include <math.h>


/*****************************************************************
                         ServiceSAN Constructor             
******************************************************************/


ServiceSAN::ServiceSAN(){


  Activity* InitialActionList[6]={
    &ProcReplicaFail, //0
    &replFail, //1
    &updateView0, //2
    &updateView1, //3
    &updateView2, //4
    &replicaCreation  // 5
  };

  BaseGroupClass* InitialGroupList[6]={
    (BaseGroupClass*) &(replFail), 
    (BaseGroupClass*) &(updateView0), 
    (BaseGroupClass*) &(updateView1), 
    (BaseGroupClass*) &(updateView2), 
    (BaseGroupClass*) &(replicaCreation), 
    (BaseGroupClass*) &(ProcReplicaFail)
  };

  procFailed = new Place("procFailed" ,0);
  serviceChosen = new Place("serviceChosen" ,0);
  viewServiceChosen = new Place("viewServiceChosen" ,0);
  repairChosen = new Place("repairChosen" ,0);
  readPointer = new Place("readPointer" ,0);
  systemFailure = new Place("systemFailure" ,0);
  int temp_Processorsprocvalue = 1;
  Processors = new proc("Processors",temp_Processorsprocvalue);
  hvor_state temp_ServiceReplicaDisthvemhvahvorvalue = 0;
  ServiceReplicaDist = new hvemhvahvor("ServiceReplicaDist",temp_ServiceReplicaDisthvemhvahvorvalue);
  int temp_viewNewviewArrayvalue = 0;
  viewNew = new viewArray("viewNew",temp_viewNewviewArrayvalue);
  int temp_LoadDistprocLoadvalue = 0;
  LoadDist = new procLoad("LoadDist",temp_LoadDistprocLoadvalue);
  profFailedAr_state temp_ProcNrFailedServiceprofFailedAr = {0,0};
  ProcNrFailedService = new profFailedAr("ProcNrFailedService",temp_ProcNrFailedServiceprofFailedAr);
  toService_state temp_viewChangeNewtoService = {0,0};
  viewChangeNew = new toService("viewChangeNew",temp_viewChangeNewtoService);
  int temp_replicasUpreplUpvalue = 0;
  replicasUp = new replUp("replicasUp",temp_replicasUpreplUpvalue);
  NY_state temp_CreationKOvalue = {-1,0};
  Creation = new KO("Creation",temp_CreationKOvalue);
  hvor_state temp_ServiceParamhvemhvahvorvalue = 0;
  ServiceParam = new hvemhvahvor("ServiceParam",temp_ServiceParamhvemhvahvorvalue);
  BaseStateVariableClass* InitialPlaces[15]={
    procFailed,  // 0
    serviceChosen,  // 1
    viewServiceChosen,  // 2
    repairChosen,  // 3
    readPointer,  // 4
    systemFailure,  // 5
    Processors,  // 6
    ServiceReplicaDist,  // 7
    viewNew,  // 8
    LoadDist,  // 9
    ProcNrFailedService,  // 10
    viewChangeNew,  // 11
    replicasUp,  // 12
    Creation,  // 13
    ServiceParam   // 14
  };
  BaseStateVariableClass* InitialROPlaces[0]={
  };
  initializeSANModelNow("Service", 15, InitialPlaces, 
                        0, InitialROPlaces, 
                        6, InitialActionList, 6, InitialGroupList);


  assignPlacesToActivitiesInst();
  assignPlacesToActivitiesTimed();

  int AffectArcs[26][2]={ 
    {10,0}, {7,0}, {9,0}, {12,0}, {0,0}, {1,1}, {12,1}, {5,1}, 
    {7,1}, {9,1}, {14,1}, {8,2}, {12,2}, {11,2}, {8,3}, {12,3}, 
    {11,3}, {8,4}, {12,4}, {11,4}, {3,5}, {4,5}, {13,5}, {12,5}, 
    {9,5}, {7,5}
  };
  for(int n=0;n<26;n++) {
    AddAffectArc(InitialPlaces[AffectArcs[n][0]],
                 InitialActionList[AffectArcs[n][1]]);
  }
  int EnableArcs[11][2]={ 
    {7,0}, {10,0}, {12,1}, {8,2}, {12,2}, {8,3}, {12,3}, {8,4}, 
    {12,4}, {4,5}, {13,5}
  };
  for(int n=0;n<11;n++) {
    AddEnableArc(InitialPlaces[EnableArcs[n][0]],
                 InitialActionList[EnableArcs[n][1]]);
  }

  for(int n=0;n<6;n++) {
    InitialActionList[n]->LinkVariables();
  }
  CustomInitialization();

}

void ServiceSAN::CustomInitialization() {


}
ServiceSAN::~ServiceSAN(){
  for (int i = 0; i < NumStateVariables-NumReadOnlyPlaces; i++)
    delete LocalStateVariables[i];
};

void ServiceSAN::assignPlacesToActivitiesInst(){
  ProcReplicaFail.ServiceReplicaDist = (hvemhvahvor*) LocalStateVariables[7];
  ProcReplicaFail.ProcNrFailedService = (profFailedAr*) LocalStateVariables[10];
  ProcReplicaFail.LoadDist = (procLoad*) LocalStateVariables[9];
  ProcReplicaFail.replicasUp = (replUp*) LocalStateVariables[12];
  ProcReplicaFail.procFailed = (Place*) LocalStateVariables[0];
}
void ServiceSAN::assignPlacesToActivitiesTimed(){
  replFail.replicasUp = (replUp*) LocalStateVariables[12];
  replFail.serviceChosen = (Place*) LocalStateVariables[1];
  replFail.systemFailure = (Place*) LocalStateVariables[5];
  replFail.ServiceReplicaDist = (hvemhvahvor*) LocalStateVariables[7];
  replFail.LoadDist = (procLoad*) LocalStateVariables[9];
  replFail.ServiceParam = (hvemhvahvor*) LocalStateVariables[14];
  updateView0.viewNew = (viewArray*) LocalStateVariables[8];
  updateView0.replicasUp = (replUp*) LocalStateVariables[12];
  updateView0.viewChangeNew = (toService*) LocalStateVariables[11];
  updateView1.viewNew = (viewArray*) LocalStateVariables[8];
  updateView1.replicasUp = (replUp*) LocalStateVariables[12];
  updateView1.viewChangeNew = (toService*) LocalStateVariables[11];
  updateView2.viewNew = (viewArray*) LocalStateVariables[8];
  updateView2.replicasUp = (replUp*) LocalStateVariables[12];
  updateView2.viewChangeNew = (toService*) LocalStateVariables[11];
  replicaCreation.readPointer = (Place*) LocalStateVariables[4];
  replicaCreation.Creation = (KO*) LocalStateVariables[13];
  replicaCreation.repairChosen = (Place*) LocalStateVariables[3];
  replicaCreation.replicasUp = (replUp*) LocalStateVariables[12];
  replicaCreation.LoadDist = (procLoad*) LocalStateVariables[9];
  replicaCreation.ServiceReplicaDist = (hvemhvahvor*) LocalStateVariables[7];
}
/*****************************************************************/
/*                  Activity Method Definitions                  */
/*****************************************************************/

/*======================ProcReplicaFailActivity========================*/


ServiceSAN::ProcReplicaFailActivity::ProcReplicaFailActivity(){
  ActivityInitialize("ProcReplicaFail",5,Instantaneous , RaceEnabled, 5,2, false);
}

void ServiceSAN::ProcReplicaFailActivity::LinkVariables(){




  procFailed->Register(&procFailed_Mobius_Mark);
}

bool ServiceSAN::ProcReplicaFailActivity::Enabled(){
  OldEnabled=NewEnabled;
  NewEnabled=(((ServiceReplicaDist->Index(0)->Index(ProcNrFailedService->Index(1)->Mark())->Mark()== 1 || ServiceReplicaDist->Index(1)->Index(ProcNrFailedService->Index(1)->Mark())->Mark()== 1 || ServiceReplicaDist->Index(2)->Index(ProcNrFailedService->Index(1)->Mark())->Mark()== 1) && ProcNrFailedService->Index(0)->Mark()==1));
  return NewEnabled;
}

double ServiceSAN::ProcReplicaFailActivity::Weight(){ 
  return 1;
}

bool ServiceSAN::ProcReplicaFailActivity::ReactivationPredicate(){ 
  return false;
}

bool ServiceSAN::ProcReplicaFailActivity::ReactivationFunction(){ 
  return false;
}

double ServiceSAN::ProcReplicaFailActivity::SampleDistribution(){
  return 0;
}

double* ServiceSAN::ProcReplicaFailActivity::ReturnDistributionParameters(){
    return NULL;
}

int ServiceSAN::ProcReplicaFailActivity::Rank(){
  return 1;
}

BaseActionClass* ServiceSAN::ProcReplicaFailActivity::Fire(){
  ;
  
int procFailed = ProcNrFailedService->Index(1)->Mark();
int i;

for(i=0; i<3; i++){
	if(ServiceReplicaDist->Index(i)->Index(procFailed)->Mark()==1){
		ServiceReplicaDist->Index(i)->Index(procFailed)->Mark()=0;
		LoadDist->Index(procFailed)->Mark() = 0;
		replicasUp->Index(i)->Mark()--;
	}
}

ProcNrFailedService->Index(0)->Mark() = 0;
ProcNrFailedService->Index(1)->Mark() = 0;

  return this;
}

/*======================replFailActivity========================*/

ServiceSAN::replFailActivity::replFailActivity(){
  TheDistributionParameters = new double[1];
  ActivityInitialize("replFail",0,Exponential, RaceEnabled, 6,1, false);
}

ServiceSAN::replFailActivity::~replFailActivity(){
  delete[] TheDistributionParameters;
}

void ServiceSAN::replFailActivity::LinkVariables(){

  serviceChosen->Register(&serviceChosen_Mobius_Mark);
  systemFailure->Register(&systemFailure_Mobius_Mark);



}

bool ServiceSAN::replFailActivity::Enabled(){
  OldEnabled=NewEnabled;
  NewEnabled=((replicasUp->Index(0)->Mark() > 0 || replicasUp->Index(1)->Mark() > 0 || replicasUp->Index(2)->Mark() > 0));
  return NewEnabled;
}

double ServiceSAN::replFailActivity::Rate(){
  return (replicasUp->Index(serviceChosen->Mark())->Mark()+1)*lambdaRepl;
  return 1.0;  // default rate if none is specified
}

double ServiceSAN::replFailActivity::Weight(){ 
  return 1;
}

bool ServiceSAN::replFailActivity::ReactivationPredicate(){ 
  return false;
}

bool ServiceSAN::replFailActivity::ReactivationFunction(){ 
  return false;
}

double ServiceSAN::replFailActivity::SampleDistribution(){
  return TheDistribution->Exponential((replicasUp->Index(serviceChosen->Mark())->Mark()+1)*lambdaRepl);
}

double* ServiceSAN::replFailActivity::ReturnDistributionParameters(){
  TheDistributionParameters[0] = Rate();
  return TheDistributionParameters;
}

int ServiceSAN::replFailActivity::Rank(){
  return 1;
}

BaseActionClass* ServiceSAN::replFailActivity::Fire(){
  int up[3];
int counter;
int n=0;
for(counter = 0; counter<3; counter ++){
	if(replicasUp->Index(counter)->Mark() > 0){
		up[n] = counter;
		n++;
	}
}


int temp= (rand() % n); 
serviceChosen->Mark() = up[temp];
  #include <cstdlib>

//Create an array of all operative replicas. 
//Pick one random replica that failes.
int a;
int b;
int i;
int o = replicasUp->Index(serviceChosen->Mark())->Mark();
n=0;
int Up [o];

for(i=0; i<numProc; i++){
	
	if(ServiceReplicaDist->Index(serviceChosen->Mark())->Index(i)->Mark()==1){
		Up[n]=i;
		n++;
	}
}

a = (rand() % n);
b = Up[a];
ServiceReplicaDist->Index(serviceChosen->Mark()) -> Index(b) -> Mark() = 0;
LoadDist->Index(b)->Mark() --;




replicasUp->Index(serviceChosen->Mark())->Mark() --;

if(replicasUp->Index(0)->Mark()> ServiceParam->Index(0)->Index(2)->Mark()){
	systemFailure->Mark() = 1;
}


  return this;
}

/*======================updateView0Activity========================*/

ServiceSAN::updateView0Activity::updateView0Activity(){
  TheDistributionParameters = new double[1];
  ActivityInitialize("updateView0",1,Exponential, RaceEnabled, 3,2, false);
}

ServiceSAN::updateView0Activity::~updateView0Activity(){
  delete[] TheDistributionParameters;
}

void ServiceSAN::updateView0Activity::LinkVariables(){



}

bool ServiceSAN::updateView0Activity::Enabled(){
  OldEnabled=NewEnabled;
  NewEnabled=((viewNew->Index(0)->Mark() != replicasUp->Index(0)->Mark() ));
  return NewEnabled;
}

double ServiceSAN::updateView0Activity::Rate(){
  return (replicasUp->Index(0)->Mark()+1)*lambdaView;
  return 1.0;  // default rate if none is specified
}

double ServiceSAN::updateView0Activity::Weight(){ 
  return 1;
}

bool ServiceSAN::updateView0Activity::ReactivationPredicate(){ 
  return false;
}

bool ServiceSAN::updateView0Activity::ReactivationFunction(){ 
  return false;
}

double ServiceSAN::updateView0Activity::SampleDistribution(){
  return TheDistribution->Exponential((replicasUp->Index(0)->Mark()+1)*lambdaView);
}

double* ServiceSAN::updateView0Activity::ReturnDistributionParameters(){
  TheDistributionParameters[0] = Rate();
  return TheDistributionParameters;
}

int ServiceSAN::updateView0Activity::Rank(){
  return 1;
}

BaseActionClass* ServiceSAN::updateView0Activity::Fire(){
  ;
  


viewNew->Index(0)->Mark() = replicasUp->Index(0)->Mark();

viewChangeNew->Index(0)->Mark() = 1;
viewChangeNew->Index(1)->Mark() = 0;
  return this;
}

/*======================updateView1Activity========================*/

ServiceSAN::updateView1Activity::updateView1Activity(){
  TheDistributionParameters = new double[1];
  ActivityInitialize("updateView1",2,Exponential, RaceEnabled, 3,2, false);
}

ServiceSAN::updateView1Activity::~updateView1Activity(){
  delete[] TheDistributionParameters;
}

void ServiceSAN::updateView1Activity::LinkVariables(){



}

bool ServiceSAN::updateView1Activity::Enabled(){
  OldEnabled=NewEnabled;
  NewEnabled=((viewNew->Index(1)->Mark() != replicasUp->Index(1)->Mark() ));
  return NewEnabled;
}

double ServiceSAN::updateView1Activity::Rate(){
  return (replicasUp->Index(1)->Mark()+1)*lambdaView;
  return 1.0;  // default rate if none is specified
}

double ServiceSAN::updateView1Activity::Weight(){ 
  return 1;
}

bool ServiceSAN::updateView1Activity::ReactivationPredicate(){ 
  return false;
}

bool ServiceSAN::updateView1Activity::ReactivationFunction(){ 
  return false;
}

double ServiceSAN::updateView1Activity::SampleDistribution(){
  return TheDistribution->Exponential((replicasUp->Index(1)->Mark()+1)*lambdaView);
}

double* ServiceSAN::updateView1Activity::ReturnDistributionParameters(){
  TheDistributionParameters[0] = Rate();
  return TheDistributionParameters;
}

int ServiceSAN::updateView1Activity::Rank(){
  return 1;
}

BaseActionClass* ServiceSAN::updateView1Activity::Fire(){
  ;
  
viewNew->Index(1)->Mark() = replicasUp->Index(1)->Mark();

viewChangeNew->Index(0)->Mark() = 1;
viewChangeNew->Index(1)->Mark() = 1;
  return this;
}

/*======================updateView2Activity========================*/

ServiceSAN::updateView2Activity::updateView2Activity(){
  TheDistributionParameters = new double[1];
  ActivityInitialize("updateView2",3,Exponential, RaceEnabled, 3,2, false);
}

ServiceSAN::updateView2Activity::~updateView2Activity(){
  delete[] TheDistributionParameters;
}

void ServiceSAN::updateView2Activity::LinkVariables(){



}

bool ServiceSAN::updateView2Activity::Enabled(){
  OldEnabled=NewEnabled;
  NewEnabled=((viewNew->Index(2)->Mark() != replicasUp->Index(2)->Mark() ));
  return NewEnabled;
}

double ServiceSAN::updateView2Activity::Rate(){
  return (replicasUp->Index(2)->Mark()+1)*lambdaView;
  return 1.0;  // default rate if none is specified
}

double ServiceSAN::updateView2Activity::Weight(){ 
  return 1;
}

bool ServiceSAN::updateView2Activity::ReactivationPredicate(){ 
  return false;
}

bool ServiceSAN::updateView2Activity::ReactivationFunction(){ 
  return false;
}

double ServiceSAN::updateView2Activity::SampleDistribution(){
  return TheDistribution->Exponential((replicasUp->Index(2)->Mark()+1)*lambdaView);
}

double* ServiceSAN::updateView2Activity::ReturnDistributionParameters(){
  TheDistributionParameters[0] = Rate();
  return TheDistributionParameters;
}

int ServiceSAN::updateView2Activity::Rank(){
  return 1;
}

BaseActionClass* ServiceSAN::updateView2Activity::Fire(){
  ;
  
viewNew->Index(2)->Mark() = replicasUp->Index(2)->Mark();

viewChangeNew->Index(0)->Mark() = 1;
viewChangeNew->Index(1)->Mark() = 2;
  return this;
}

/*======================replicaCreationActivity========================*/

ServiceSAN::replicaCreationActivity::replicaCreationActivity(){
  TheDistributionParameters = new double[1];
  ActivityInitialize("replicaCreation",4,Exponential, RaceEnabled, 6,2, false);
}

ServiceSAN::replicaCreationActivity::~replicaCreationActivity(){
  delete[] TheDistributionParameters;
}

void ServiceSAN::replicaCreationActivity::LinkVariables(){
  readPointer->Register(&readPointer_Mobius_Mark);

  repairChosen->Register(&repairChosen_Mobius_Mark);



}

bool ServiceSAN::replicaCreationActivity::Enabled(){
  OldEnabled=NewEnabled;
  NewEnabled=((Creation->Index(readPointer->Mark())->Index(0)->Mark()>-1 && Creation->Index(readPointer->Mark())->Index(1)->Mark()>-1));
  return NewEnabled;
}

double ServiceSAN::replicaCreationActivity::Rate(){
  return muAut;
  return 1.0;  // default rate if none is specified
}

double ServiceSAN::replicaCreationActivity::Weight(){ 
  return 1;
}

bool ServiceSAN::replicaCreationActivity::ReactivationPredicate(){ 
  return false;
}

bool ServiceSAN::replicaCreationActivity::ReactivationFunction(){ 
  return false;
}

double ServiceSAN::replicaCreationActivity::SampleDistribution(){
  return TheDistribution->Exponential(muAut);
}

double* ServiceSAN::replicaCreationActivity::ReturnDistributionParameters(){
  TheDistributionParameters[0] = Rate();
  return TheDistributionParameters;
}

int ServiceSAN::replicaCreationActivity::Rank(){
  return 1;
}

BaseActionClass* ServiceSAN::replicaCreationActivity::Fire(){
  ;

  repairChosen->Mark() = Creation->Index(readPointer->Mark())->Index(0)->Mark();
replicasUp->Index(repairChosen->Mark())->Mark() ++;
int choise = Creation->Index(readPointer->Mark())->Index(1)->Mark();
LoadDist->Index(choise)->Mark()++;
//Create a replica of the chosen service on chosen processor.

ServiceReplicaDist->Index(repairChosen->Mark())->Index(choise)->Mark()=1;
Creation->Index(readPointer->Mark())->Index(0)->Mark() = -1;
Creation->Index(readPointer->Mark())->Index(1)->Mark() = -1;
readPointer->Mark() = ((readPointer->Mark()+1)%(numServices));






  return this;
}

