#include "HWavailPVNodes.h"

HWavailPV0Worker::HWavailPV0Worker()
{
  NumModels = 1;
  TheModelPtr = new BaseModelClass**[NumModels];
  TheModelPtr[0] = (BaseModelClass**)(&HW);
}

HWavailPV0Worker::~HWavailPV0Worker() {
  delete [] TheModelPtr;
}

double HWavailPV0Worker::Reward_Function(void) {

if(HW->procFailed->Mark() < numProc){
	return 1;
}

return (0);



}

HWavailPV0::HWavailPV0(int timeindex) {
  TheModelPtr = (BaseModelClass**)(&TheHWSAN);
  double startpts[1]={500.0};
  double stoppts[1]={500.0+100.0};
  Initialize("availHW",(RewardType)3,1, startpts, stoppts, timeindex, 0,1, 1);
  Type = steady_state;
  AddVariableDependency("procFailed","HW");
}

HWavailPV0::~HWavailPV0() {
  for(int i = 0; i < NumberOfWorkers; i++) {
    delete[] WorkerList[i]->Name;
    delete WorkerList[i];
  }
}

void HWavailPV0::CreateWorkerList(void) {
  for(int i = 0; i < NumberOfWorkers; i++)
    WorkerList[i] = new HWavailPV0Worker;
}
