#ifndef _HWAVAIL_PVS_
#define _HWAVAIL_PVS_
#include <math.h>
#include "Cpp/Performance_Variables/PerformanceVariableNode.hpp"
#include "Atomic/HW/HWSAN.h"
#include "Cpp/Performance_Variables/SteadyState.hpp"


class HWavailPV0Worker:public SteadyState
{
 public:
  HWSAN *HW;
  
  HWavailPV0Worker();
  ~HWavailPV0Worker();
  double Reward_Function();
};

class HWavailPV0:public PerformanceVariableNode
{
 public:
  HWSAN *TheHWSAN;

  HWavailPV0Worker *HWavailPV0WorkerList;

  HWavailPV0(int timeindex=0);
  ~HWavailPV0();
  void CreateWorkerList(void);
};

#endif
