#ifndef _SERVICEAVAIL_PVS_
#define _SERVICEAVAIL_PVS_
#include <math.h>
#include "Cpp/Performance_Variables/PerformanceVariableNode.hpp"
#include "Composed/compNew/compNewRJ.h"
#include "Cpp/Performance_Variables/SteadyState.hpp"


class ServiceAvailPV0Worker:public SteadyState
{
 public:
  ServiceSAN *Service;
  
  ServiceAvailPV0Worker();
  ~ServiceAvailPV0Worker();
  double Reward_Function();
};

class ServiceAvailPV0:public PerformanceVariableNode
{
 public:
  compNewRJ *ThecompNewRJ;

  ServiceAvailPV0Worker *ServiceAvailPV0WorkerList;

  ServiceAvailPV0(int timeindex=0);
  ~ServiceAvailPV0();
  void CreateWorkerList(void);
};

#endif
