#include "SystemAvailPVModel.h"

SystemAvailPVModel::SystemAvailPVModel(bool expandTimeArrays) {
  TheModel=new compNewRJ();
  DefineName("SystemAvailPVModel");
  StateMode = 1;
  CreatePVList(2, expandTimeArrays);
  Initialize();
}



PerformanceVariableNode* SystemAvailPVModel::createPVNode(int pvindex, int timeindex) {
  switch(pvindex) {
  case 0:
    return new SystemAvailPV0(timeindex);
    break;
  case 1:
    return new SystemAvailPV1(timeindex);
    break;
  }
  return NULL;
}
