
#ifndef FinalExp4RangeSTUDY_H_
#define FinalExp4RangeSTUDY_H_

#include "Reward/SystemAvail/SystemAvailPVNodes.h"
#include "Reward/SystemAvail/SystemAvailPVModel.h"
#include "Cpp/Study/BaseStudyClass.hpp"

extern short Cap;
extern int initRM;
extern int initRepl;
extern double lambdaProc;
extern double lambdaRepl;
extern double lambdaView;
extern double muAut;
extern double muMan;
extern int numFailed;
extern int numProc;
extern int numServices;
extern short repChos;
extern int replReq;

class FinalExp4RangeStudy : public BaseStudyClass {
public:

FinalExp4RangeStudy();
~FinalExp4RangeStudy();

private:

short *CapValues;
int *initRMValues;
int *initReplValues;
double *lambdaProcValues;
double *lambdaReplValues;
double *lambdaViewValues;
double *muAutValues;
double *muManValues;
int *numFailedValues;
int *numProcValues;
int *numServicesValues;
short *repChosValues;
int *replReqValues;

void SetValues_Cap();
void SetValues_initRM();
void SetValues_initRepl();
void SetValues_lambdaProc();
void SetValues_lambdaRepl();
void SetValues_lambdaView();
void SetValues_muAut();
void SetValues_muMan();
void SetValues_numFailed();
void SetValues_numProc();
void SetValues_numServices();
void SetValues_repChos();
void SetValues_replReq();

void PrintGlobalValues(int);
void *GetGVValue(char *TheGVName);
void OverrideGVValue(char *TheGVName, void *TheGVValue);
void SetGVs(int expnum);
PVModel *GetPVModel(bool expandTimeArrays);
};

#endif

