
#ifndef HWstudyRangeSTUDY_H_
#define HWstudyRangeSTUDY_H_

#include "Reward/HWavail/HWavailPVNodes.h"
#include "Reward/HWavail/HWavailPVModel.h"
#include "Cpp/Study/BaseStudyClass.hpp"

extern double lambdaProc;
extern double muMan;
extern int numFailed;
extern int numProc;
extern int numServices;

class HWstudyRangeStudy : public BaseStudyClass {
public:

HWstudyRangeStudy();
~HWstudyRangeStudy();

private:

double *lambdaProcValues;
double *muManValues;
int *numFailedValues;
int *numProcValues;
int *numServicesValues;

void SetValues_lambdaProc();
void SetValues_muMan();
void SetValues_numFailed();
void SetValues_numProc();
void SetValues_numServices();

void PrintGlobalValues(int);
void *GetGVValue(char *TheGVName);
void OverrideGVValue(char *TheGVName, void *TheGVValue);
void SetGVs(int expnum);
PVModel *GetPVModel(bool expandTimeArrays);
};

#endif

